FLTK Utility Library and Widget Collection (FLU): Flu_Choice_Group class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members

# Flu_Choice_Group Class Reference

This class provides an alternative group to Fl_Tabs. It provides an Fl_Choice menu that is used to determine which child Fl_Group is visible. More...

`#include <Flu_Choice_Group.h>`

List of all members.

## Public Member Functions
| Flu_Choice_Group (int x, int y, int w, int h, const char *l=0)
| Default FLTK constructor.
Fl_Widget * | wvalue ()
| Get the currently visible child Fl_Group widget.
int | value ()
| Get the index of the currently visible child Fl_Group widget.
int | value (Fl_Widget *newvalue)
| Set the currently visible child Fl_Group widget.
void | value (int v)
| Set the currently visible child Fl_Group widget.
void | draw ()
| Override of Fl_Group::draw().
int | size ()
| the number of entries able to be selected with value(int)
## Protected Member Functions
void | choiceCB ()
## Static Protected Member Functions
void | _choiceCB (Fl_Widget *w, void *arg)
## Protected Attributes
Fl_Choice * | choice
Fl_Widget * | selected

## Detailed Description

This class provides an alternative group to Fl_Tabs. It provides an Fl_Choice menu that is used to determine which child Fl_Group is visible.

## Member Function Documentation

int Flu_Choice_Group::value | ( | Fl_Widget * | newvalue | ) |

| Set the currently visible child Fl_Group widget. Returns: the index of the child Fl_Group widget that is currently selected, or `-1` if newvalue cannot be found.

int Flu_Choice_Group::value | ( |  | ) |

| Get the index of the currently visible child Fl_Group widget. Returns: `-1` if there are no child Fl_Groups, else the index of the group

Fl_Widget* Flu_Choice_Group::wvalue | ( |  | ) | `[inline]`

| Get the currently visible child Fl_Group widget. Returns: `NULL` if there are no child Fl_Groups, else the currently selected group

The documentation for this class was generated from the following file:

- Flu_Choice_Group.h